Skip to main content
DELETE
/
v1
/
organizations
/
{organizationId}
/
members
/
{userId}
Remove an organization member
curl --request DELETE \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/members/{userId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/members/{userId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"status": 400,
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

userId
string<uuid>
required

ID of the requested user.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

Last modified on June 12, 2026